Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd.impl
Class URINormalizer

    java.lang.Object
      com.sun.syndication.feed.synd.impl.URINormalizer

    public class URINormalizer

extends Object

Utility class for normalizing an URI as specified in RFC 2396bis.

Author:
  Alejandro Abdelnur

Constructor Summary
`URINormalizer()`

Method Summary
`static String` | `normalize(String uri)` Normalizes an URI as specified in RFC 2396bis.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URINormalizer

    public URINormalizer()

Method Detail

### normalize

    public static String normalize(String uri)

  Normalizes an URI as specified in RFC 2396bis.

  Parameters:
    `uri` - to normalize.
  Returns:
    the normalized value of the given URI, or null if the given URI was null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.